Package Gnumed :: Package business :: Module gmMedication :: Class cGelbeListeWindowsInterface |
[frames] | no frames]

# Class cGelbeListeWindowsInterface

source code

                  object --+
                           |
    cDrugDataSourceInterface --+
                               |
                              cGelbeListeWindowsInterface

Support v8.2 CSV file interface only.

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_data_source_version(self, force_reload=False) | source code
create_data_source_entry(self) | source code
switch_to_frontend(self, blocking=False, cmd=None) | source code
import_drugs_as_substances(self) | source code
import_drugs(self) | source code
check_interactions(self, drug_ids_list=None, substances=None) For this to work the BDT interaction check must be configured in the MMI. | source code
show_info_on_drug(self, drug=None) | source code
show_info_on_substance(self, substance=None) | source code
Inherited from `cDrugDataSourceInterface`: `prescribe` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| version = `u'Gelbe Liste/MMI v8.2 interface'`
| default_encoding = `'cp1250'`
| bdt_line_template = `u'%03d6210#%s\r\n'`
| bdt_line_base_length = `8`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_data_source_version(self, force_reload=False) | source code
Overrides: cDrugDataSourceInterface.get_data_source_version

### create_data_source_entry(self) | source code
Overrides: cDrugDataSourceInterface.create_data_source_entry

### switch_to_frontend(self, blocking=False, cmd=None) | source code
Overrides: cDrugDataSourceInterface.switch_to_frontend

### import_drugs(self) | source code
Overrides: cDrugDataSourceInterface.import_drugs

### check_interactions(self, drug_ids_list=None, substances=None) | source code
For this to work the BDT interaction check must be configured in the MMI. Overrides: cDrugDataSourceInterface.check_interactions

### show_info_on_drug(self, drug=None) | source code
Overrides: cDrugDataSourceInterface.show_info_on_drug

### show_info_on_substance(self, substance=None) | source code
Overrides: cDrugDataSourceInterface.show_info_on_substance